
TYPO3.TypoScript - Task # 38634

Feature # 38629 (Resolved): Make TypoScript usable outside the context of TYPO3 / Nodes, but also for building extensible FLOW3 applications

Status: Closed Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2012-07-04 Assigned To: Robert Lemke
Updated: 2012-10-04 Due date:
Subject: Move TypoScript Processors from TYPO3 to TypoScript Package
Description

see above, they are generic anyways :)

Related issues:
blocks Foo.ContentManagement - Major Feature # 37293: Refactor Admin to work ... New 2012-05-18

Associated revisions
Revision 14e09227 - 2012-09-17 22:24 - Robert Lemke

[TASK] Move processors to TypoScript package

This moves all processors from the TYPO3.TYPO3 package to the this
package.

Unfortunately, some of the related code has already been committed in
c4ec3907d66c787a5dab78f291120bb8eb5ff676 (a.k.a.
I34cf786b4e1686d76d0d923c1131cf179ab99ef5), therefore this patch is
also a bug fix for current master.

Change-Id: I065c2fc7bf2f153181ec7a30dc8e59d98822c86a
Resolves: #38634

History
#1 - 2012-07-04 12:00 - Sebastian Kurfuerst
- Tracker changed from Feature to Bug

#2 - 2012-07-05 21:23 - Sebastian Kurfuerst
- Status changed from New to Accepted
- % Done changed from 0 to 20

#3 - 2012-07-05 21:23 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12653

#4 - 2012-07-05 22:10 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12653
#5 - 2012-09-17 10:05 - Robert Lemke
- Assigned To set to Robert Lemke
- Target version set to Sprint 10 (1.0 TP1)

#6 - 2012-09-17 15:21 - Robert Lemke
- Tracker changed from Bug to Task

#7 - 2012-09-17 15:23 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14659

#8 - 2012-09-17 17:05 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14659

#9 - 2012-09-17 22:15 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14659

#10 - 2012-09-17 22:24 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14659

#11 - 2012-09-18 09:35 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 20 to 100

Applied in changeset commit:14e092275e3352172d96ab3e761bc9cec14472db.

#12 - 2012-10-04 16:03 - Markus Goldbeck
- Status changed from Resolved to Closed
